const ISO4217 = Dict{Symbol, Tuple{Int, String, Int}}(
    :AED => (2,"UAE Dirham",784),
    :AFN => (2,"Afghani",971),
    :ALL => (2,"Lek",8),
    :AMD => (2,"Armenian Dram",51),
    :ANG => (2,"Netherlands Antillean Guilder",532),
    :AOA => (2,"Kwanza",973),
    :ARS => (2,"Argentine Peso",32),
    :AUD => (2,"Australian Dollar",36),
    :AWG => (2,"Aruban Florin",533),
    :AZN => (2,"Azerbaijanian Manat",944),
    :BAM => (2,"Convertible Mark",977),
    :BBD => (2,"Barbados Dollar",52),
    :BDT => (2,"Taka",50),
    :BGN => (2,"Bulgarian Lev",975),
    :BHD => (3,"Bahraini Dinar",48),
    :BIF => (0,"Burundi Franc",108),
    :BMD => (2,"Bermudian Dollar",60),
    :BND => (2,"Brunei Dollar",96),
    :BOB => (2,"Boliviano",68),
    :BOV => (2,"Mvdol",984),
    :BRL => (2,"Brazilian Real",986),
    :BSD => (2,"Bahamian Dollar",44),
    :BTN => (2,"Ngultrum",64),
    :BWP => (2,"Pula",72),
    :BYR => (0,"Belarussian Ruble",974),
    :BZD => (2,"Belize Dollar",84),
    :CAD => (2,"Canadian Dollar",124),
    :CDF => (2,"Congolese Franc",976),
    :CHE => (2,"WIR Euro",947),
    :CHF => (2,"Swiss Franc",756),
    :CHW => (2,"WIR Franc",948),
    :CLF => (4,"Unidad de Fomento",990),
    :CLP => (0,"Chilean Peso",152),
    :CNY => (2,"Yuan Renminbi",156),
    :COP => (2,"Colombian Peso",170),
    :COU => (2,"Unidad de Valor Real",970),
    :CRC => (2,"Costa Rican Colon",188),
    :CUC => (2,"Peso Convertible",931),
    :CUP => (2,"Cuban Peso",192),
    :CVE => (2,"Cabo Verde Escudo",132),
    :CZK => (2,"Czech Koruna",203),
    :DJF => (0,"Djibouti Franc",262),
    :DKK => (2,"Danish Krone",208),
    :DOP => (2,"Dominican Peso",214),
    :DZD => (2,"Algerian Dinar",12),
    :EGP => (2,"Egyptian Pound",818),
    :ERN => (2,"Nakfa",232),
    :ETB => (2,"Ethiopian Birr",230),
    :EUR => (2,"Euro",978),
    :FJD => (2,"Fiji Dollar",242),
    :FKP => (2,"Falkland Islands Pound",238),
    :GBP => (2,"Pound Sterling",826),
    :GEL => (2,"Lari",981),
    :GHS => (2,"Ghana Cedi",936),
    :GIP => (2,"Gibraltar Pound",292),
    :GMD => (2,"Dalasi",270),
    :GNF => (0,"Guinea Franc",324),
    :GTQ => (2,"Quetzal",320),
    :GYD => (2,"Guyana Dollar",328),
    :HKD => (2,"Hong Kong Dollar",344),
    :HNL => (2,"Lempira",340),
    :HRK => (2,"Kuna",191),
    :HTG => (2,"Gourde",332),
    :HUF => (2,"Forint",348),
    :IDR => (2,"Rupiah",360),
    :ILS => (2,"New Israeli Sheqel",376),
    :INR => (2,"Indian Rupee",356),
    :IQD => (3,"Iraqi Dinar",368),
    :IRR => (2,"Iranian Rial",364),
    :ISK => (0,"Iceland Krona",352),
    :JMD => (2,"Jamaican Dollar",388),
    :JOD => (3,"Jordanian Dinar",400),
    :JPY => (0,"Yen",392),
    :KES => (2,"Kenyan Shilling",404),
    :KGS => (2,"Som",417),
    :KHR => (2,"Riel",116),
    :KMF => (0,"Comoro Franc",174),
    :KPW => (2,"North Korean Won",408),
    :KRW => (0,"Won",410),
    :KWD => (3,"Kuwaiti Dinar",414),
    :KYD => (2,"Cayman Islands Dollar",136),
    :KZT => (2,"Tenge",398),
    :LAK => (2,"Kip",418),
    :LBP => (2,"Lebanese Pound",422),
    :LKR => (2,"Sri Lanka Rupee",144),
    :LRD => (2,"Liberian Dollar",430),
    :LSL => (2,"Loti",426),
    :LYD => (3,"Libyan Dinar",434),
    :MAD => (2,"Moroccan Dirham",504),
    :MDL => (2,"Moldovan Leu",498),
    :MGA => (2,"Malagasy Ariary",969),
    :MKD => (2,"Denar",807),
    :MMK => (2,"Kyat",104),
    :MNT => (2,"Tugrik",496),
    :MOP => (2,"Pataca",446),
    :MRO => (2,"Ouguiya",478),
    :MUR => (2,"Mauritius Rupee",480),
    :MVR => (2,"Rufiyaa",462),
    :MWK => (2,"Kwacha",454),
    :MXN => (2,"Mexican Peso",484),
    :MXV => (2,"Mexican Unidad de Inversion (UDI)",979),
    :MYR => (2,"Malaysian Ringgit",458),
    :MZN => (2,"Mozambique Metical",943),
    :NAD => (2,"Namibia Dollar",516),
    :NGN => (2,"Naira",566),
    :NIO => (2,"Cordoba Oro",558),
    :NOK => (2,"Norwegian Krone",578),
    :NPR => (2,"Nepalese Rupee",524),
    :NZD => (2,"New Zealand Dollar",554),
    :OMR => (3,"Rial Omani",512),
    :PAB => (2,"Balboa",590),
    :PEN => (2,"Nuevo Sol",604),
    :PGK => (2,"Kina",598),
    :PHP => (2,"Philippine Peso",608),
    :PKR => (2,"Pakistan Rupee",586),
    :PLN => (2,"Zloty",985),
    :PYG => (0,"Guarani",600),
    :QAR => (2,"Qatari Rial",634),
    :RON => (2,"Romanian Leu",946),
    :RSD => (2,"Serbian Dinar",941),
    :RUB => (2,"Russian Ruble",643),
    :RWF => (0,"Rwanda Franc",646),
    :SAR => (2,"Saudi Riyal",682),
    :SBD => (2,"Solomon Islands Dollar",90),
    :SCR => (2,"Seychelles Rupee",690),
    :SDG => (2,"Sudanese Pound",938),
    :SEK => (2,"Swedish Krona",752),
    :SGD => (2,"Singapore Dollar",702),
    :SHP => (2,"Saint Helena Pound",654),
    :SLL => (2,"Leone",694),
    :SOS => (2,"Somali Shilling",706),
    :SRD => (2,"Surinam Dollar",968),
    :SSP => (2,"South Sudanese Pound",728),
    :STD => (2,"Dobra",678),
    :SVC => (2,"El Salvador Colon",222),
    :SYP => (2,"Syrian Pound",760),
    :SZL => (2,"Lilangeni",748),
    :THB => (2,"Baht",764),
    :TJS => (2,"Somoni",972),
    :TMT => (2,"Turkmenistan New Manat",934),
    :TND => (3,"Tunisian Dinar",788),
    :TOP => (2,"Pa’anga",776),
    :TRY => (2,"Turkish Lira",949),
    :TTD => (2,"Trinidad and Tobago Dollar",780),
    :TWD => (2,"New Taiwan Dollar",901),
    :TZS => (2,"Tanzanian Shilling",834),
    :UAH => (2,"Hryvnia",980),
    :UGX => (0,"Uganda Shilling",800),
    :USD => (2,"US Dollar",840),
    :USN => (2,"US Dollar (Next day)",997),
    :UYI => (0,"Uruguay Peso en Unidades Indexadas (URUIURUI)",940),
    :UYU => (2,"Peso Uruguayo",858),
    :UZS => (2,"Uzbekistan Sum",860),
    :VEF => (2,"Bolivar",937),
    :VND => (0,"Dong",704),
    :VUV => (0,"Vatu",548),
    :WST => (2,"Tala",882),
    :XAF => (0,"CFA Franc BEAC",950),
    :XAG => (-1,"Silver",961),
    :XAU => (-1,"Gold",959),
    :XBA => (-1,"Bond Markets Unit European Composite Unit (EURCO)",955),
    :XBB => (-1,"Bond Markets Unit European Monetary Unit (E.M.U.-6)",956),
    :XBC => (-1,"Bond Markets Unit European Unit of Account 9 (E.U.A.-9)",957),
    :XBD => (-1,"Bond Markets Unit European Unit of Account 17 (E.U.A.-17)",958),
    :XCD => (2,"East Caribbean Dollar",951),
    :XDR => (-1,"SDR (Special Drawing Right)",960),
    :XOF => (0,"CFA Franc BCEAO",952),
    :XPD => (-1,"Palladium",964),
    :XPF => (0,"CFP Franc",953),
    :XPT => (-1,"Platinum",962),
    :XSU => (-1,"Sucre",994),
    :XTS => (-1,"TESTING",963),
    :XUA => (-1,"ADB Unit of Account",965),
    :XXX => (-1,"NO CURRENCY",999),
    :YER => (2,"Yemeni Rial",886),
    :ZAR => (2,"Rand",710),
    :ZMW => (2,"Zambian Kwacha",967),
    :ZWL => (2,"Zimbabwe Dollar",932))
